Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Advanced Configuration Options

Operations

Data Manager

Operations

Get a DM Object

Request

Streams the content of a Data Manager object (e.g. Datamart, Data Source export) as a file. GET variant of the existing POST /datamart.fetch/{objectId}.

Security
basic or X-PriceFx-jwt
Path
objectIdstringrequired

Use one of the following object identifiers:

  • typedUniquename – Format: "<typeCode>.<uniqueName>" (e.g., DMDS.SalesTransactions)
  • typedId – Format: "<dbId>.<typeCode>" (e.g., 123456.DMDS)'
  • "*" (asterisk) – Asterisk can be used when you are providing a source$query in data within the request body
Example: 123456.DMDS || DMDS.Transactions || DM.TxDM || *
Query
outputstring

Output format.

streamboolean

If true, stream the response.

dataLocalestring

Optional locale for formatted output (e.g. en, de).

typedUniquenamestring

Use the following format: (e.g., DM.TransactionsDM)

curl -i -X GET \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.fetch/123456.DMDS  || DMDS.Transactions || DM.TxDM || *?output=string&stream=true&dataLocale=string&typedUniquename=string'

Responses

Exported data.

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "status": 0, "startRow": 0, "data": [], "endRow": 2 } }

Get a DM Object (no count)

Request

Retrieves the object's (Data Feed, Data Source, Datamart) row level data and skips the count() query - it does not return a total number of rows in the entire table when the filter is applied, it returns just the total number of rows in the response.

Information: Use this endpoint when you need a better performance when fetching large data sets and when you do not need to fetch a total number of items in the table. Usually used for integration purposes.

Security
basic or X-PriceFx-jwt
Path
objectIdstringrequired

Use one of the following object identifiers:

  • typedUniquename – Format: "<typeCode>.<uniqueName>" (e.g., DMDS.SalesTransactions)
  • typedId – Format: "<dbId>.<typeCode>" (e.g., 123456.DMDS)
  • "*" (asterisk) – Asterisk can be used when you are providing a source$query in data within the request body
Bodyapplication/json
endRownumber
oldValuesany
operationTypestringnon-empty
startRownumber
textMatchStylestringnon-empty
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.fetchnocount/{objectId}' \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "attribute4",
          "operator": "iEquals",
          "value": "EUR"
        }
      ]
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "startRow": 0, "data": [], "endRow": 0, "totalRows": 0, "status": 0 } }

Update a Data Manager Entity

Request

Updates and deploys a field collection (FC) definition - Data Feed (DMF), Datamart (DM), or Data Source (DMDS).

Information: If Data Source (DMDS) is added or updated, then a Data Feed (DMF) is created for the corresponding Data Source.

Security
basic or X-PriceFx-jwt
Path
TypeCodestringrequired

The type code of the Field Collection you want to update.

Enum"DMF""DM""DMDS"
Example: DM
Bodyapplication/json

Either uniqueName or typedId must be provided in the request.

operationTypestringnon-empty
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.updatefc/DM \
  -H 'Content-Type: application/json' \
  -d '{
    "operationType": "update",
    "data": {
      "version": 4,
      "typedId": "2147483684.DMF",
      "uniqueName": "Meatball_transaction",
      "label": "Meatball_transaction",
      "sourceFile": null,
      "fields": [
        {
          "name": "attribute1",
          "label": "InvoiceDate",
          "labelTranslations": {},
          "rank": 1,
          "format": null,
          "measureType": null,
          "functionalType": null,
          "visibility": 1,
          "defaultValue": null,
          "sourceField": null,
          "expression": "attribute1",
          "function": null,
          "formulaElement": null,
          "messages": null,
          "key": false,
          "system": false,
          "numeric": false,
          "deleted": false,
          "persisted": true,
          "dimension": false,
          "calculated": false,
          "dbColumn": "attribute1",
          "aggregation": false,
          "time": false,
          "partitioningKey": false,
          "queryable": true,
          "auxiliary": false,
          "deployed": true,
          "dbTable": "seeddata_DMF_Meatball_transaction",
          "type": "TEXT",
          "source": "DMF.Meatball_transaction",
          "owningFC": "Meatball_transaction",
          "hidden": false
        },
        {
          "name": "completeResultsAvailable",
          "label": "Details",
          "labelTranslations": {},
          "rank": 36,
          "format": null,
          "measureType": null,
          "functionalType": null,
          "visibility": 0,
          "defaultValue": null,
          "sourceField": null,
          "expression": "NOT ISNULL(formulaDetailedResults)",
          "function": null,
          "formulaElement": null,
          "messages": null,
          "key": false,
          "system": true,
          "numeric": false,
          "deleted": false,
          "persisted": false,
          "dimension": false,
          "calculated": true,
          "dbColumn": "attribute1",
          "aggregation": false,
          "time": false,
          "partitioningKey": false,
          "queryable": true,
          "auxiliary": true,
          "deployed": false,
          "dbTable": "seeddata_DMF_Meatball_transaction",
          "type": "BOOLEAN",
          "source": "DMF.Meatball_transaction",
          "owningFC": "[System]",
          "hidden": true
        }
      ],
      "keyFields": [],
      "formulaName": null,
      "reload": false,
      "messages": null,
      "reservedWords": null,
      "rowCount": null,
      "lastUpdateByName": "ondrej.tesar",
      "defaultDataSourceName": "DMDS.Meatball_transaction",
      "lineSeperator": null,
      "fieldSeperator": null,
      "quoteChar": null,
      "fetchVerb": "datamart.fetch/2147483684.DMF",
      "integrateVerb": null,
      "bulkloadVerb": "datamart.loaddata/Meatball_transaction",
      "identikitCriteria": null,
      "draft": false,
      "queryable": true,
      "view": false,
      "sourceName": "DMF.Meatball_transaction",
      "type": "FEED",
      "valid": true,
      "status": null,
      "targetDate": null,
      "calculationMessages": null,
      "loadableFields": [
        "attribute1",
        "attribute2",
        "attribute3",
        "attribute4",
        "attribute5",
        "attribute6",
        "attribute7",
        "attribute8",
        "attribute9",
        "attribute10",
        "attribute11",
        "attribute12",
        "attribute13",
        "attribute14",
        "attribute15",
        "attribute16",
        "attribute17",
        "attribute18",
        "attribute19",
        "attribute20",
        "attribute21",
        "attribute22",
        "attribute23",
        "attribute24",
        "attribute25",
        "attribute26",
        "attribute27"
      ],
      "auxiliary": false,
      "deployed": true,
      "dbTable": "seeddata_DMF_Meatball_transaction",
      "dbKey": "",
      "dbView": null,
      "locked": false,
      "createDate": "2018-10-04T17:09:00",
      "createdBy": 2147483649,
      "lastUpdateDate": "2021-12-03T13:34:00",
      "lastUpdateBy": 2147490187,
      "query": null,
      "lastDataModificationDate": "2021-12-02T00:09:03",
      "typeCode": null,
      "isPlasma": false,
      "calculationStartDate": null,
      "calculationDate": null
    }
  }'

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "csrfToken": "tkn", "data": [], "endRow": 1, "status": 0 } }

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

MCP

Operations

Clicmanager

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

Operations

Entities

otherSchemas

Schemas